Documentation for EDI XML Schnittstellenbeschreibung

Definition Type: | ComplexType
Name: | MeldedatenType
Namespace: | http://www.bewohnervertretung.at/EdiVornahme
Containing Schema: | EdiVornahme.xsd
Abstract |

XSD Schema Diagram:

XSD Schema Code:
    <xs:complexType name="MeldedatenType">
        <xs:all>
            <xs:element name="Dauer" type="DauerType" minOccurs="0" maxOccurs="1">
                <xs:annotation>
                    <xs:documentation xml:lang="de-at">
                Die voraussichtliche Dauer der Maßnahmen/Beschränkungen.
                Wenn eine Dauer angegeben wird so muss eines dieser Kindelemente gewählt werden: "Unter 48 Stunden", "Über 48 Stunden" oder "Wiederholt"
              </xs:documentation>
                </xs:annotation>
            </xs:element>
            <xs:element name="AnmerkungErkrankung" minOccurs="0" maxOccurs="1">
                <xs:annotation>
                    <xs:documentation xml:lang="de-at">
                Anmerkung zur psychischen Erkrankung/geistigen Behinderung.
              </xs:documentation>
                </xs:annotation>
                <xs:simpleType>
                    <xs:restriction base="xs:string">
                        <xs:maxLength value="1024" />
                    </xs:restriction>
                </xs:simpleType>
            </xs:element>
            <xs:element name="AnmerkungGutachten" minOccurs="0" maxOccurs="1">
                <xs:annotation>
                    <xs:documentation xml:lang="de-at">
                Ärztliches Gutachen, ärztliches Zeugnis, sonstige ärztliche Diagnose und Gefährdung.
              </xs:documentation>
                </xs:annotation>
                <xs:simpleType>
                    <xs:restriction base="xs:string">
                        <xs:maxLength value="1024" />
                    </xs:restriction>
                </xs:simpleType>
            </xs:element>
            <xs:element name="AnmerkungVerhalten" minOccurs="0" maxOccurs="1">
                <xs:annotation>
                    <xs:documentation xml:lang="de-at">
                Verhalten der Person, Gefährdung, versuchte Alternativen, Situationsbeschreibung, sonstige Informationen
              </xs:documentation>
                </xs:annotation>
                <xs:simpleType>
                    <xs:restriction base="xs:string">
                        <xs:maxLength value="1024" />
                    </xs:restriction>
                </xs:simpleType>
            </xs:element>
        </xs:all>
        <xs:attribute name="IsZustimmung" default="false" type="xs:boolean" use="optional">
            <xs:annotation>
                <xs:documentation xml:lang="de-at">
              Liegt die Zustimmung des/der einsichts- und urteilsfähigen BewohnerIn vor.
              (Je nachdem handelt es sich um eine Freiheitseinschränkung oder um eine Freiheitsbeschränkung)
              True: BewohnerIn hat zugestimmt = Freiheitseinschränkung
              False: BewohnerIn hat nicht zugestimmt = Freiheitsbeschränkung
            </xs:documentation>
            </xs:annotation>
        </xs:attribute>
        <xs:attribute name="IsPsychischeErkrankung" default="false" type="xs:boolean" use="optional">
            <xs:annotation>
                <xs:documentation xml:lang="de-at">
              Liegt die Voraussetzung einer psychischen Erkrankung vor.
              True: Ja
              False: Nein
            </xs:documentation>
            </xs:annotation>
        </xs:attribute>
        <xs:attribute name="IsGeistigeBehinderung" default="false" type="xs:boolean" use="optional">
            <xs:annotation>
                <xs:documentation xml:lang="de-at">
              Liegt die Voraussetzung einer geistingen Behinderung vor.
              True: Ja
              False: Nein
            </xs:documentation>
            </xs:annotation>
        </xs:attribute>
        <xs:attribute name="IsSelbstgefaehrdung" default="false" type="xs:boolean" use="optional">
            <xs:annotation>
                <xs:documentation xml:lang="de-at">
              Liegt die Voraussetzung einer ernstlichen und erheblichen Selbstgefährdung vor.
              True: Ja
              False: Nein
            </xs:documentation>
            </xs:annotation>
        </xs:attribute>
        <xs:attribute name="IsFremdgefaehrdung" default="false" type="xs:boolean" use="optional">
            <xs:annotation>
                <xs:documentation xml:lang="de-at">
              Liegt die Voraussetzung einer ernstlichen und erheblichen Fremdgefährdung vor.
              True: Ja
              False: Nein
            </xs:documentation>
            </xs:annotation>
        </xs:attribute>
        <xs:attribute name="Beginn" type="xs:dateTime" use="required">
            <xs:annotation>
                <xs:documentation xml:lang="de-at">
              Beginn der Maßnahmen/Beschränkungen der Bewohnerin oder des Bewohners.
              Format: yyyy-MM-ddThh:mm:ss
              Beispiel: 2010-04-17T18:15:00
            </xs:documentation>
            </xs:annotation>
        </xs:attribute>
    </xs:complexType>

Child Elements:
Name | Type | Min Occurs | Max Occurs
Dauer | mstns:Dauer | 0 | 1
AnmerkungErkrankung | mstns:AnmerkungErkrankung | 0 | 1
AnmerkungGutachten | mstns:AnmerkungGutachten | 0 | 1
AnmerkungVerhalten | mstns:AnmerkungVerhalten | 0 | 1

Child Attributes:
Name | Type | Default Value | Use
IsZustimmung | mstns:IsZustimmung | false | Optional
IsPsychischeErkrankung | mstns:IsPsychischeErkrankung | false | Optional
IsGeistigeBehinderung | mstns:IsGeistigeBehinderung | false | Optional
IsSelbstgefaehrdung | mstns:IsSelbstgefaehrdung | false | Optional
IsFremdgefaehrdung | mstns:IsFremdgefaehrdung | false | Optional
Beginn | mstns:Beginn |  | Required

Derivation Tree:
| MeldedatenType mstns:Meldedaten

References:
| mstns:Meldedaten

Documentation for EDI XML Schnittstellenbeschreibung
Generated using Liquid XML 2015 Designer Edition (Trial) 13.0.14.5873